> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Similar Reference Sources



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/reference-sources/similar
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/reference-sources/similar:
    get:
      tags:
        - Collections
      summary: Find Similar Reference Sources
      operationId: CollectionsController_findSimilarReferenceSources_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: entryId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionSimilarReferenceSourcesDto'
      security:
        - bearer: []
components:
  schemas:
    CollectionSimilarReferenceSourcesDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CollectionCatalogReferenceSourceOptionDto'
      required:
        - items
    CollectionCatalogReferenceSourceOptionDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - catalog_item
        catalogItemId:
          type: string
        catalogFamilySourceId:
          type: string
          nullable: true
        key:
          type: string
        productTypeId:
          type: string
        productTypeLabel:
          type: string
        categoryId:
          type: string
        categoryLabel:
          type: string
        name:
          type: string
        vendorName:
          type: string
          nullable: true
        sourceLabel:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        alreadyAdded:
          type: boolean
        entryId:
          type: string
          nullable: true
        referenceItemId:
          type: string
          nullable: true
      required:
        - kind
        - catalogItemId
        - catalogFamilySourceId
        - key
        - productTypeId
        - productTypeLabel
        - categoryId
        - categoryLabel
        - name
        - vendorName
        - sourceLabel
        - imageUrl
        - alreadyAdded
        - entryId
        - referenceItemId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````